## net.sf.saxon.java
Class JavaCollationFactory

    java.lang.Object
      net.sf.saxon.java.JavaCollationFactory

    public abstract class JavaCollationFactory

extends Object

A JavaCollationFactory allows a Collation to be created given a set of properties that the collation should have. This class creates a collator using the facilities of the Java platform; there is a corresponding class that uses the .NET platform.

Method Summary
`static StringCollator` `makeCollation(Configuration config, String uri, Properties props)` Make a collator with given properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### makeCollation

    public static StringCollator makeCollation(Configuration config,
                                               String uri,
                                               Properties props)
                                        throws XPathException

  Make a collator with given properties

  Parameters:
    `config` - the Configuration
    `props` - the desired properties of the collation
  Returns:
    a collation with these properties
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.